org.apache.cassandra.utils.memory

## Class SlabPool

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtablePool
  - - org.apache.cassandra.utils.memory.SlabPool

    public class SlabPool
    extends MemtablePool

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.utils.memory.MemtablePool

`MemtablePool.SubPool`

### Field Summary

### Fields inherited from class org.apache.cassandra.utils.memory.MemtablePool

`offHeap, onHeap`

### Constructor Summary

Constructors
Constructor and Description
`SlabPool(long maxOnHeapMemory, long maxOffHeapMemory, float cleanupThreshold, java.lang.Runnable cleaner)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `needToCopyOnHeap()`
`MemtableAllocator` `newAllocator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlabPool

    public SlabPool(long maxOnHeapMemory,
                    long maxOffHeapMemory,
                    float cleanupThreshold,
                    java.lang.Runnable cleaner)

### Method Detail

#### newAllocator

    public MemtableAllocator newAllocator()

Specified by:
  `newAllocator` in class `MemtablePool`

#### needToCopyOnHeap

    public boolean needToCopyOnHeap()

Specified by:
  `needToCopyOnHeap` in class `MemtablePool`